  apiVersion: kubevirt.io/v1
  kind: VirtualMachineInstance
  metadata:
    annotations:
      sidecar.istio.io/inject: "true"
    labels:
      app: reviews
      version: v99
    name: reviews-legacy-passt
  spec:
    terminationGracePeriodSeconds: 0
    domain:
      resources:
        requests:
          memory: 1Gi
      devices:
        disks:
        - disk:
            bus: virtio
          name: disk0
        - disk:
            bus: virtio
          name: cloudinitdisk
        interfaces:
        - name: default
          binding:
            name: passt
        rng: {}
    networks:
    - name: default
      pod: {}
    volumes:
    - containerDisk:
        image: registry:5000/kubevirt/fedora-with-test-tooling-container-disk:devel
        imagePullPolicy: IfNotPresent
      name: disk0
    # deploy Istio bookinfo reviews micro-service
    - cloudInitNoCloud:
        userData: | 
          #cloud-config
          ssh_pwauth: true
          runcmd:
          - sudo dnf install podman -y
          - podman run -d -v /tmp:/tmp -p 9080:9080 -e STAR_COLOR=yellow docker.io/istio/examples-bookinfo-reviews-v3:1.20.2
      name: cloudinitdisk
